
#ifndef SPECTRE_SCENE_ICAMERA_H
#define SPECTRE_SCENE_ICAMERA_H

#include <Spectre/Math/Matrix4.h>

// Camera interface.
class ICamera
{
public :
	virtual ~ICamera() {};

	virtual const Matrix4f& getViewMatrix() const = 0;

	virtual const Matrix4f& getProjectionMatrix() const = 0;

	virtual const Matrix4f& getProjectionViewMatrix() const = 0;
};

#endif /* SPECTRE_SCENE_ICAMERA_H */